Bug 13591 - Rss sample templates have hardcoded urls
Summary: Rss sample templates have hardcoded urls
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-16 17:12 UTC by Colin Campbell
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (6.81 KB, patch)
2015-03-10 12:25 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 13591 Pass OPACBaseURL to rss creation process (6.91 KB, patch)
2015-05-06 18:53 UTC, Eivin Giske Skaaren
Details | Diff | Splinter Review
[PASSED QA] Bug 13591 Pass OPACBaseURL to rss creation process (6.97 KB, patch)
2015-05-08 12:23 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2015-01-16 17:12:18 UTC
The sample templates in misc/cronjobs/rss have hardcoded urls the should be using suspref OPACBaseURL

The contents of rss are rather neglected but many sites seem to want to use this, while most may want some customizations the samples should work out of the box in a sensible fashion at present if you create a list of new acquisitions The links are hardcoded to nz
Comment 1 Colin Campbell 2015-03-10 12:25:05 UTC Comment hidden (obsolete)
Comment 2 Eivin Giske Skaaren 2015-05-06 18:53:36 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-05-07 19:22:14 UTC
Corrected Eivin's sign off, by obsoleting unsigned version, and marking unsigned. Enjoy QA'ing. :)
Comment 4 Kyle M Hall 2015-05-08 12:23:50 UTC
Created attachment 38972 [details] [review]
[PASSED QA] Bug 13591 Pass OPACBaseURL to rss creation process

Links in rss templates were hardcoded to library.org.nz. Should pass and
use the system's OPACBaseURL.

Tested and verified.

Signed-off-by: Eivin Giske Skaaren <eskaaren@yahoo.no>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-05-15 19:12:16 UTC
Patch pushed to master.

Good catch Colin!
Comment 6 Chris Cormack 2015-05-17 23:35:29 UTC
Pushed to 3.18.x will be in 3.18.7